Returns permissions for the current user.

GEThttps://api.awork.com/api/v1/me/permissions
GET https://api.awork.com/api/v1/me/permissions

Returns the current user's permissions for the selected workspace.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

signaturestring or nullOptional

The signature of the user permissions. Can be verified with the HMACSHA1 algorithm and the secret.

userPermissionobjectOptional
Show 10 properties
aiProductbooleanOptional

Whether the user has the AI product.

pmProductbooleanOptional

Whether the user has the PM product.

isAiPlanActivebooleanOptional

Whether the workspace has an active AI plan.

userIdstringOptional
format: uuid

The id of the user.

isAdminbooleanOptional

Whether the user is an admin user.

isGuestbooleanOptional

Whether the user is a guest user.

roleIdstringOptional
format: uuid

The role id of the user.

isBlockedbooleanOptional

Whether the user is blocked.

permissionsarray of object or nullOptional

A list of permissions assigned to the user.

Show 2 properties
featurestring or nullOptional

The identifying key of the feature.

accessLevelsarray of string or nullOptional

The list of access levels assigned to the feature.

projectRolesPermissionsarray of object or nullOptional

A list of project role permissions assigned to the user.

Show 2 properties
projectRoleIdstringOptional
format: uuid

The id of the project role.

permissionsarray of object or nullOptional

The list of permissions of the project role.

Show 2 properties
featurestring or nullOptional

The identifying key of the feature.

accessLevelsarray of string or nullOptional

The list of access levels assigned to the feature.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation